Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages

    java.lang.Object
      org.jbpm.marshalling.impl.JBPMMessages

    public final class JBPMMessages

extends Object

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance`
`static interface` | `JBPMMessages.ProcessInstanceOrBuilder`
`static class` | `JBPMMessages.ProcessTimer`
`static interface` | `JBPMMessages.ProcessTimerOrBuilder`
`static class` | `JBPMMessages.Variable`
`static interface` | `JBPMMessages.VariableOrBuilder`
`static class` | `JBPMMessages.WorkItem`
`static interface` | `JBPMMessages.WorkItemOrBuilder`

Field Summary
`static int` | `PROC_TIMER_FIELD_NUMBER`
`static int` | `PROCESS_INSTANCE_FIELD_NUMBER`
`static int` | `PROCESS_TIMER_FIELD_NUMBER`
`static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessInstance>>` | `processInstance`
`static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessTimer>>` | `processTimer`
`static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.Timers.Timer,JBPMMessages.ProcessTimer>` | `procTimer`
`static int` | `TIMER_ID_FIELD_NUMBER`
`static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,Long>` | `timerId`
`static int` | `WORK_ITEM_FIELD_NUMBER`
`static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.WorkItem>>` | `workItem`

Method Summary
`static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
`static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESS_INSTANCE_FIELD_NUMBER

    public static final int PROCESS_INSTANCE_FIELD_NUMBER

See Also:
  Constant Field Values

### processInstance

    public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessInstance>> processInstance

### WORK_ITEM_FIELD_NUMBER

    public static final int WORK_ITEM_FIELD_NUMBER

See Also:
  Constant Field Values

### workItem

    public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.WorkItem>> workItem

### TIMER_ID_FIELD_NUMBER

    public static final int TIMER_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### timerId

    public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,Long> timerId

### PROCESS_TIMER_FIELD_NUMBER

    public static final int PROCESS_TIMER_FIELD_NUMBER

See Also:
  Constant Field Values

### processTimer

    public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessTimer>> processTimer

### PROC_TIMER_FIELD_NUMBER

    public static final int PROC_TIMER_FIELD_NUMBER

See Also:
  Constant Field Values

### procTimer

    public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.marshalling.impl.ProtobufMessages.Timers.Timer,JBPMMessages.ProcessTimer> procTimer

Method Detail

### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.